location of gramps.pot

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

location of gramps.pot

dave.khuon@gmail.com
location of gramps.pot

Hi all,

Should I git gramps.pot from gramps-project/gramps branch master or branch50? to be used for a new language targeted for latest gramps (5.0+)

Currently, gramps.pot

·       In master has:                               34,483 lines, updated 2 months ago

·       In maintenance/branch50 has:     34,452 lines, updated 6 days ago

Thanks

dave


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: location of gramps.pot

Nick Hall
On 23/02/18 10:25, Dave Khuon wrote:

Should I git gramps.pot from gramps-project/gramps branch master or branch50? to be used for a new language targeted for latest gramps (5.0+)

Use the version in the maintenance/gramps50 branch.

Nick.



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: location of gramps.pot

prculley
In reply to this post by dave.khuon@gmail.com
The gramps50 branch was just updated for beta1, so it has a very recent potfile.  This is current almost production code.  Master branch gets merged up from gramps50 periodically.  It is also likely to have a lot of added phrases to translate.  But it might be missing a few phrases newly added from gramps50 branch (sigh).  If/when Nick merges in gramps50 to master you may have to double check your translation.

What I would do is to use master branch, but generate your own updated potfile before working on the translation each time.  Guarantees you have the latest.

From the .po directory,
python3 update_po.py -p

Paul C.


On Fri, Feb 23, 2018 at 4:25 AM, Dave Khuon <[hidden email]> wrote:

Hi all,

Should I git gramps.pot from gramps-project/gramps branch master or branch50? to be used for a new language targeted for latest gramps (5.0+)

Currently, gramps.pot

·       In master has:                               34,483 lines, updated 2 months ago

·       In maintenance/branch50 has:     34,452 lines, updated 6 days ago

Thanks

dave


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: location of gramps.pot

dave.khuon@gmail.com

Sorry to bother you again.

 

It seems that the latest gramps.pot (branch 50) contains several original English strings that don’t make sense.

For instance, in [id 292]:

 

The Python version is not supported by this version of Gramps.\n

\n

This Family Tree is Python version %(tree_vers)s, and this version of Gramps supports versions %(min_vers)s    to %(max_vers)s\n

\n

 

Please upgrade to the corresponding version or use XML for porting data between different Python versions.

They appear to be translated from another language to begin with, and my subsequent translation to another language is making worth.  Does it mean that the family tree database is compatible only with Python version … ? 

 

I am a bit confused.  Please help.

 

From: Paul Culley [mailto:[hidden email]]
Sent: Friday, February 23, 2018 9:00 AM
To: Dave Khuon
Cc: Gramps Development List
Subject: Re: [Gramps-devel] location of gramps.pot

 

The gramps50 branch was just updated for beta1, so it has a very recent potfile.  This is current almost production code.  Master branch gets merged up from gramps50 periodically.  It is also likely to have a lot of added phrases to translate.  But it might be missing a few phrases newly added from gramps50 branch (sigh).  If/when Nick merges in gramps50 to master you may have to double check your translation.

What I would do is to use master branch, but generate your own updated potfile before working on the translation each time.  Guarantees you have the latest.

From the .po directory,

python3 update_po.py -p
Paul C.

 

 

On Fri, Feb 23, 2018 at 4:25 AM, Dave Khuon <[hidden email]> wrote:

Hi all,

Should I git gramps.pot from gramps-project/gramps branch master or branch50? to be used for a new language targeted for latest gramps (5.0+)

Currently, gramps.pot

·       In master has:                               34,483 lines, updated 2 months ago

·       In maintenance/branch50 has:     34,452 lines, updated 6 days ago

Thanks

dave


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|

Re: location of gramps.pot

prculley
The message seems to be saying that a (really old) family tree db was created with a version of Python that we don't support now.

I'm pretty sure this message is not even emitted anymore, just some code that was never removed when we modified Gramps.

Paul C.

On Fri, Feb 23, 2018 at 1:39 PM, Dave Khuon <[hidden email]> wrote:

Sorry to bother you again.

 

It seems that the latest gramps.pot (branch 50) contains several original English strings that don’t make sense.

For instance, in [id 292]:

 

The Python version is not supported by this version of Gramps.\n

\n

This Family Tree is Python version %(tree_vers)s, and this version of Gramps supports versions %(min_vers)s    to %(max_vers)s\n

\n

 

Please upgrade to the corresponding version or use XML for porting data between different Python versions.

They appear to be translated from another language to begin with, and my subsequent translation to another language is making worth.  Does it mean that the family tree database is compatible only with Python version … ? 

 

I am a bit confused.  Please help.

 

From: Paul Culley [mailto:[hidden email]]
Sent: Friday, February 23, 2018 9:00 AM
To: Dave Khuon
Cc: Gramps Development List
Subject: Re: [Gramps-devel] location of gramps.pot

 

The gramps50 branch was just updated for beta1, so it has a very recent potfile.  This is current almost production code.  Master branch gets merged up from gramps50 periodically.  It is also likely to have a lot of added phrases to translate.  But it might be missing a few phrases newly added from gramps50 branch (sigh).  If/when Nick merges in gramps50 to master you may have to double check your translation.

What I would do is to use master branch, but generate your own updated potfile before working on the translation each time.  Guarantees you have the latest.

From the .po directory,

python3 update_po.py -p
Paul C.

 

 

On Fri, Feb 23, 2018 at 4:25 AM, Dave Khuon <[hidden email]> wrote:

Hi all,

Should I git gramps.pot from gramps-project/gramps branch master or branch50? to be used for a new language targeted for latest gramps (5.0+)

Currently, gramps.pot

·       In master has:                               34,483 lines, updated 2 months ago

·       In maintenance/branch50 has:     34,452 lines, updated 6 days ago

Thanks

dave


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel

 



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel